• Welcome
  • Docs
Information
Core Resources
    Account Management
      Get All AccountsgetTrack AccountpostStop Tracking AccountdeleteBulk Track AccountspostBulk Stop Tracking AccountsdeleteGet Account HistorygetGet Specific AccountgetStop Tracking Account By IDdelete
    Video Management
      Get All VideosgetTrack VideopostStop Tracking VideodeleteBulk Track VideospostBulk Stop Tracking VideosdeleteGet Specific VideogetStop Tracking Video By IDdeleteGet Video HistorygetGet All Videos Linked To Accountget
    Collection Management
      Get All CollectionsgetCreate CollectionpostGet CollectiongetDelete CollectiondeleteUpdate CollectionpatchGet Collection VideosgetAdd Videos to CollectionpostRemove Videos from CollectiondeleteGet Collection AccountsgetAdd Accounts to CollectionpostRemove Accounts from Collectiondelete
    Organisation Management
      Get Organisation Historyget
Analytics
    Statistics
      Total VideosgetTotal Accountsget
System
    Integration
      Shortimize MCP Serverpost
powered by Zuplo
Shortimize API
Shortimize API

Organisation Management

Endpointhttps://api.shortimize.com

Organisation-wide metrics and historical data


Get Organisation History

GET
https://api.shortimize.com
/organisation/history

All tiers — Limited/Basic: 1 result with masked metrics. Premium: full access.

Retrieves daily aggregated metrics for your entire organisation. By default if no dates are passed, gets the last 30 days of data. Data is available for the last 90 days (up to 2 years for premium users).

Rate Limit: 5 (limited) / 15 (basic) / 120 (premium) requests per minute

Get Organisation History › query Parameters

start_date
​string · date

Start date (inclusive) in YYYY-MM-DD format. Defaults to 30 days ago if not provided. Cannot be older than 90 days (730 days for premium users).

end_date
​string · date

End date (inclusive) in YYYY-MM-DD format.

Get Organisation History › Headers

Authorization
​string · required

Bearer token for authentication

Get Organisation History › Responses

Successful response - array of daily metrics

​object[]
date
​string · date
views
​integer
likes
​integer
comments
​integer
shares
​integer
bookmarks
​integer
engagements
​integer
total_ads
​integer
ads_upload_count
​integer
GET/organisation/history
curl --request GET \ --url https://api.shortimize.com/organisation/history \ --header 'Authorization: <string>'
shell
Example Responses
[ { "date": "2024-08-25", "views": 0, "likes": 0, "comments": 0, "shares": 0, "bookmarks": 0, "engagements": 0, "total_ads": 0, "ads_upload_count": 0 } ]
json
application/json

Collection ManagementStatistics